#
# spec file for package whois (Version 4.7.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libidn libidn-devel libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           whois
BuildRequires:  libidn-devel
License:        GPL
Group:          Productivity/Networking/Other
Provides:       ripe-whois-tools 
Autoreqprov:    on
URL:            http://www.linux.it/~md/software/
Version:        4.7.5
Release:        17.2
Summary:        whois Client Program
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.dif
Patch1:         %{name}-%{version}-nb.patch
Patch2:         tld_serv_list-4.7.13.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a new whois (RFC 954) client rewritten from scratch by Marco
d'Itri. It is derived from and compatible with the usual BSD and RIPE
whois(1) programs. It is intelligent and can automatically select the
appropriate whois server for most queries. This package also contains
mkpasswd, a simple front-end to crypt(3).



Authors:
--------
    Marco d'Itri <md@linux.it>

%debug_package
%prep
%setup -n whois-%{version}
%patch
%patch1
%patch2 -p1
rename no nb po/no.*

%build
make all mkpasswd HAVE_LIBIDN=1 OPTS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}
make BASEDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc README debian/changelog debian/copyright
/usr/bin/*
%doc %{_mandir}/man1/*
/usr/share/locale/*/*/*

%changelog -n whois
* Fri Apr 14 2006 - mmarek@suse.cz
- updated the tld_serv_list file to include .eu and other new TLDs
  [#165904] (tld_serv_list-4.7.13.patch)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 09 2005 - schwab@suse.de
- Add libidn, libidn-devel to nfb.
- Compile with -DHAVE_LIBIDN, needed for DENIC workaround.
* Fri Jul 29 2005 - anicka@suse.cz
- update to 4.7.5
* Thu Jan 13 2005 - postadal@suse.cz
- updated to version 4.6.26
* Wed Oct 20 2004 - ro@suse.de
- locale rename: no -> nb
* Thu Aug 19 2004 - postadal@suse.cz
- updated to version 4.6.20u
* Fri Aug 06 2004 - postadal@suse.cz
- updated to version 4.6.19
* Wed Feb 11 2004 - postadal@suse.cz
- updated to version 4.6.9
- added changelog and copyright files
- removed obsoleted patch buffoverflow-fix
* Thu Oct 30 2003 - schwab@suse.de
- Fix for 64 bit platforms.
* Thu Aug 28 2003 - postadal@suse.cz
- fixed buffer overflow [#29511]
* Thu Jul 24 2003 - postadal@suse.cz
- updated to version 4.6.6
  * added .dj TLD
  * fixed netsol disclaimer strings
  * updated PIR server parser
* Mon Feb 03 2003 - postadal@suse.cz
- updated to version 4.6.2
* Mon Aug 12 2002 - postadal@suse.cz
- update to 4.5.29:
  * updated LANIC and telstra IP allocations
  * updated mkpasswd
  * fixes
* Fri Jan 18 2002 - nadvornik@suse.cz
- update to 4.5.19:
- updated .aero, .coop, .name, .pro, .dk and .edu TLD servers
* Mon Dec 10 2001 - nadvornik@suse.cz
- update to 4.5.15:
- updated translations
- bugfixes
* Thu Jul 26 2001 - nadvornik@suse.cz
- update to 4.5.6
* Tue Mar 27 2001 - nadvornik@suse.cz
- update to 4.5.4
* Thu Dec 07 2000 - uli@suse.de
- update -> 4.5.1 (doesn't segfault)
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
* Fri May 19 2000 - nadvornik@suse.cz
- update to 4.4.13
- changed group
* Thu Mar 30 2000 - nadvornik@suse.cz
- update to 4.4.12
- added BuildRoot
- added %%{_mandir} macro
* Fri Mar 03 2000 - uli@suse.de
- moved man pages to /usr/share
* Mon Feb 21 2000 - mha@suse.de
- completely new, different version from
  http://www.linux.it/~md/software/
  Quote README of the new version:
  "Why another whois client? Because the RIPE client is a mess of
  hacks and #ifdefs and more complex programs lack features or
  are bloated."
* Mon Nov 29 1999 - kukuk@suse.de
- fixed for SPARC
* Tue Sep 21 1999 - uli@suse.de
- fixed for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Feb 03 1999 - ro@suse.de
- use libcrypt on alpha
- no m486 on alpha
* Fri Oct 02 1998 - ro@suse.de
- defined _BSD_SOURCE
- dont redeclare gethostname
- link with -crypt where needed
* Tue May 27 1997 - florian@suse.de
- first version of ripe-whois 2.2
